KYC

List available verification workflows

Returns the verification workflows configured on this Mudbase account, split into kyc (individual identity) and kyb (business verification). Used to choose a default workflow in the console instead of pasting a workflow UUID. Owner/admin only.

AuthBearer (JWT)
GroupKYC
Rate limitSee Rate Limits
GET/api/kyc/workflows

SDK setup

Create a client and set credentials (JWT and/or API key) before calling the API. Match the authentication type shown above.

import { Configuration, KYCApi } from 'mudbase-sdk';

const configuration = new Configuration({
  basePath: 'https://cloud.mudbase.dev',
  accessToken: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfbW9yZ2FuX2RlIiwiZW1haWwiOiJtb3JnYW4uY2hlbkBub3J0aHdpbmQuZGV2IiwiZXhwIjoxODI1MTI5NjAwfQ.doc_preview_sig',
});

const kyc = new KYCApi(configuration);
import { Configuration, KYCApi } from 'mudbase-sdk';

const configuration = new Configuration({
  basePath: 'https://cloud.mudbase.dev',
  accessToken: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfbW9yZ2FuX2RlIiwiZW1haWwiOiJtb3JnYW4uY2hlbkBub3J0aHdpbmQuZGV2IiwiZXhwIjoxODI1MTI5NjAwfQ.doc_preview_sig',
});

const kyc = new KYCApi(configuration);

Example request

Call this endpoint using the client from SDK setup. Use View HTTP for a raw cURL example.

const { data: result } = await kyc.request();
const { data: result } = await kyc.request();

Playground

live

Test this endpoint with your own credentials. Your requests will be sent to the live API.

Use the auth endpoints to obtain a JWT.

No Request Yet

Send a request to see the full inspector

Authentication

Requires JWT
Note
Include your JWT in the Authorization: Bearer YOUR_TOKEN header (user-facing apps, RBAC). View authentication guide →

Responses

200Available workflows grouped by product
json
{
  "workflows": [
    {
      "id": "Wse73BLpOJpnGp6g",
      "name": "Jennie Fay",
      "type": "kyb",
      "isDefault": true
    }
  ],
  "kyc": [
    {}
  ],
  "kyb": [
    {}
  ]
}
{
  "workflows": [
    {
      "id": "Wse73BLpOJpnGp6g",
      "name": "Jennie Fay",
      "type": "kyb",
      "isDefault": true
    }
  ],
  "kyc": [
    {}
  ],
  "kyb": [
    {}
  ]
}
401Authentication required
403Insufficient role (owner/admin required)
503KYC is not configured on this server

Errors

CodeMeaning
401Authentication required
403Insufficient role (owner/admin required)
503KYC is not configured on this server
Edit this page on GitHub